UbixOS V2 2.0

Data Fields
mMap Struct Reference

`#include <vmm.h>`

Collaboration diagram for mMap:

## Data Fields
int | cowCounter
uint32_t | pageAddr
pid_t | pid
u_int16_t | reserved
u_int16_t | status

## Detailed Description

Definition at line 102 of file vmm.h.

## Field Documentation

## ◆ cowCounter

int mMap::cowCounter

Definition at line 107 of file vmm.h.

Referenced by vmm_memMapInit().

## ◆ pageAddr

uint32_t mMap::pageAddr

Definition at line 103 of file vmm.h.

Referenced by vmm_memMapInit().

## ◆ pid

pid_t mMap::pid

Definition at line 106 of file vmm.h.

Referenced by vmm_memMapInit().

## ◆ reserved

u_int16_t mMap::reserved

Definition at line 105 of file vmm.h.

## ◆ status

u_int16_t mMap::status

Definition at line 104 of file vmm.h.

Referenced by vmm_memMapInit().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/vmm/vmm.h